Search Past Orders

This endpoint returns orders based on a specific searching criteria.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
/* GET /v1/order/orders */
{
  "status": "ok",
  "data": [
    {
      "id": 59378,
      "symbol": "ethusdt",
      "account-id": 100009,
      "amount": "10.1000000000",
      "price": "100.1000000000",
      "created-at": 1494901162595,
      "type": "buy-limit",
      "filled-amount": "10.1000000000",
      "filled-cash-amount": "1011.0100000000",
      "filled-fees": "0.0202000000",
      "finished-at": 1494901400468,
      "source": "api",
      "state": "filled",
      "canceled-at": 0
    }
  ]
}
Query Params
string

account id

string

The trading symbol to trade, separate by ','
range: All supported trading symbols, e.g. btcusdt, bccbtc ...

string
enum

The types of order to include in the search, separate by ','
range: [buy-market, sell-market, buy-limit, sell-limit]

string
Defaults to -61d

Search starts date, in format yyyy-mm-dd

string
Defaults to today

Search ends date, in format yyyy-mm-dd

string
enum
required

The states of order to include in the search, separate by ','
range: [pre-submitted, submitted, partial-filled, partial-canceled, filled, canceled]

Allowed:
string

Search order id to begin with

string
enum

Search direction when 'from' is used
range: [prev, next]

Allowed:
string
1 to 100

The number of orders to return
range: [1, 100]
default: 100

Response

Language
LoadingLoading…
Response
Choose an example:
application/json